# Records and the Query Interface

Record types and the query interface build SQL queries for you.

## Overview

For an overview, see [Records](https://github.com/groue/GRDB.swift/blob/master/README.md#records), and [The Query Interface](https://github.com/groue/GRDB.swift/blob/master/README.md#the-query-interface).

## Topics

### Records

- ``Record``
- ``EncodableRecord``
- ``FetchableRecord``
- ``MutablePersistableRecord``
- ``PersistableRecord``
- ``TableRecord``

### Expressions

- ``Column``
- ``JSONColumn``
- ``SQLExpression``

### Requests

- ``CommonTableExpression``
- ``QueryInterfaceRequest``
- ``Table``

### Associations

- ``Association``

### Errors

- ``RecordError``
- ``PersistenceError``

### Supporting Types

- ``ColumnExpression``
- ``DerivableRequest``
- ``SQLExpressible``
- ``SQLJSONExpressible``
- ``SQLSpecificExpressible``
- ``SQLSubqueryable``
- ``SQLOrderingTerm``
- ``SQLSelectable``
